Bug 640203

Summary: Confusing restart instructions
Product: Red Hat Satellite 5 Reporter: Michael Mráka <mmraka>
Component: UpgradesAssignee: Milan Zázrivec <mzazrivec>
Status: CLOSED CURRENTRELEASE QA Contact: Michael Mráka <mmraka>
Severity: low Docs Contact:
Priority: low    
Version: 540CC: cperry, msuchy
Target Milestone: ---Keywords: EasyFix
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rhn-upgrade-5.4.0.7-1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-10-28 14:51:56 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 608757    

Description Michael Mráka 2010-10-05 08:16:20 UTC
Description of problem:
preparations.txt says:
-----------
3. Bounce services and ensure the RHN Satellite is operational after
the services have been restarted:

- RHN Satellite between 4.0 and 5.3:

    /sbin/service rhn-satellite restart

- RHN Satellite 5.3 and above:

    /usr/sbin/rhn-satellite restart

Remedially retest the website and a client against the RHN Satellite.
-----------
Which might be confusing for Satellite 5.3 users.



Version-Release number of selected component (if applicable):
rhn-upgrade-5.4.0.6-1


Expected results:
- RHN Satellite between 4.0 and 5.2:

    /sbin/service rhn-satellite restart

- RHN Satellite 5.3 and above:

    /usr/sbin/rhn-satellite restart

Comment 1 Clifford Perry 2010-10-05 13:18:37 UTC
Easy fix, and respin of package for rhn-upgrade. 

Cliff

Comment 2 Milan Zázrivec 2010-10-05 15:21:37 UTC
satellite.git master: 63c76d156c5bb8250db49726de36760e7b9be74d

Comment 3 Michael Mráka 2010-10-06 09:12:03 UTC
Verified. rhn-upgrade-5.4.0.7-1

Comment 4 Miroslav Suchý 2010-10-21 11:21:31 UTC
verified in stage rhn-upgrade-5.4.0.10-1.el5sat.noarch.rpm

Comment 5 Clifford Perry 2010-10-28 14:47:10 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford